image: registry.gitlab.com/gitlab-org/cloud-deploy/aws-base:latest

pages:
  stage: deploy
  script:
  - aws deploy push --application-name myApp --s3-location s3://pruebabucketname/artifacts.zip --source public/
  - aws deploy create-deployment --application-name myApp --deployment-group-name pruebaApp-DeploymentGroup --s3-location bucket=pruebabucketname,bundleType=zip,key=artifacts.zip
  artifacts:
    paths:
    - public
  only:
  - master